# listRows

## HTTP Request

```http
GET /api/v1/queries/:queryId/rows
```

## Path parameters

| Parameter |                     |
| --------- | ------------------- |
| queryId   | The id of the query |

## Query parameters

| Parameter  |                                                                                                         |
| ---------- | ------------------------------------------------------------------------------------------------------- |
| format     | The response format. Either `csv` , `jsonl`, or `arrow`. Defaults to `jsonl` for the JSON-lines format. |
| maxResults | Optional. Maximum number of rows to return. Defaults to 100 if not specified.                           |

{% hint style="info" %}
This endpoint extends the [general API structure](/api/rest-api/general-structure.md).
{% endhint %}

## Authorization

Data access to the all tables referenced by the query is required. If a table's data is not public, your access token must have one of the following scopes:

* data.data
* data.edit

[Learn more about authorization.](/api/rest-api/authorization.md)

## Request body

The request body must be empty.

## Response body

The response body follows the [table.listRows specification](/api/rest-api/tables/listrows.md#response-body).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/rest-api/queries/listrows.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
